#

API Docs for: v3.8.1
Show: Inherited Protected Private Deprecated

# File: node_modules/ember-inflector/addon/lib/helpers/pluralize.js

    import { pluralize } from 'ember-inflector';
    import makeHelper from '../utils/make-helper';

    /**
     *
     * If you have Ember Inflector (such as if Ember Data is present),
     * pluralize a word. For example, turn "ox" into "oxen".
     *
     * Example:
     *
     * {{pluralize count myProperty}}
     * {{pluralize 1 "oxen"}}
     * {{pluralize myProperty}}
     * {{pluralize "ox"}}
     *
     * @for Ember.HTMLBars.helpers
     * @method pluralize
     * @param {Number|Property} [count] count of objects
     * @param {String|Property} word word to pluralize
     */
    export default makeHelper(function (params, hash) {
      let fullParams = new Array(...params);

      if (fullParams.length === 2) {
        fullParams.push({ withoutCount: hash["without-count"] })
      }

      return pluralize(...fullParams);
    });